Bug 1295512 - [Docs] [Director] Need to specify how to check version number
Summary: [Docs] [Director] Need to specify how to check version number
Status: CLOSED DUPLICATE of bug 1296946
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 10.0 (Newton)
Assignee: Angus Thomas
QA Contact: Omri Hochman
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-04 18:06 UTC by Ruchika K
Modified: 2016-10-09 22:26 UTC (History)
21 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-27 03:40:38 UTC


Attachments (Terms of Use)

Description Ruchika K 2016-01-04 18:06:55 UTC
Description of problem:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html-single/Director_Installation_and_Usage/index.html#sect-Updating_Director_Packages
Specifies how to do an update. 

Question from customer: How to find the version number. Would be good to make a note of 
finding the version before doing an update.

Version-Release number of selected component (if applicable):
7.X

How reproducible:
NA

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Andrew Dahms 2016-01-14 23:39:49 UTC
Assigning to Dan for review.

Comment 8 Chris Paquin 2016-03-24 19:34:56 UTC
I have created a simple matrix for cross-referencing the installed version of the openstack-tripleo-heat-templates rpm with OSPd version numbers.


Minimum RPM Version	                                      director Version
openstack-tripleo-heat-templates-0.8.6-121.el7ost.noarch.rpm  7.3
openstack-tripleo-heat-templates-0.8.6-94.el7ost.noarch.rpm   7.2
openstack-tripleo-heat-templates-0.8.6-71.el7ost.noarch.rpm   7.1
openstack-tripleo-heat-templates-0.8.6-45.el7ost.noarch.rpm   7.0

This should help those trying to determine their installed OSPd version while we wait for an upstream resolution.

Comment 9 Mike Burns 2016-04-07 21:03:37 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 11 Anshul Behl 2016-06-28 12:38:18 UTC
I see that this bugs has been deferred to OSP 10, can we make sure that this does not get carried forward because I being a part of certification team need to work with different partners on different OSP versions and adding a functionality to check the version will be a very useful feature.

Right now I am using repos subscribed by partners to check the version of openstack installed which I feel is very concrete.

This not only just apply to director installation but to packstack based installations also.

Comment 12 Hugh Brock 2016-07-11 11:43:01 UTC
I've reset the assignees on this bug to the right people.

Comment 13 Jaromir Coufal 2016-09-27 03:40:38 UTC

*** This bug has been marked as a duplicate of bug 1296946 ***


Note You need to log in before you can comment on or make changes to this bug.